Description

On 1.2RC2

Sign out url is missing the protocol prefix (http or https).

This causes logout to fail when logged in on https and foreman is unavailable on http.

Associated revisions

Revision 1ff6a50c - 06/14/2013 08:17 AM - Marek Hulán

Fixes #2640 - use relative user logout path

Revision 9c8adebe - 06/14/2013 10:29 AM - Marek Hulán

Fixes #2640 - use relative user logout path

(cherry picked from commit 1ff6a50c16ef6e8bf8b1aa709ec2f8769ba70d79)

History

#1 - 06/10/2013 10:39 AM - Dominic Cleal

I don't this here, the link has a full URL including protocol.  What appears in the link - only the path, only the hostname onwards?

#2 - 06/10/2013 10:42 AM - Taylan Develioglu

fqdn/users/logout

the my account link, for example, is https://fqdn/users/...

#3 - 06/12/2013 11:32 AM - Marek Hulán

- Assignee set to Marek Hulán

#4 - 06/14/2013 07:14 AM - Marek Hulán

- Status changed from New to Assigned

I can't reproduce. Also nothing in code suggests any nonstandard behavior. However this may be related to your setup if you're running foreman

behind proxy. Rails detects HTTPS request behind proxy by various custom headers that your proxy probably does not attach. Make sure you are

adding 'X-Forwarded-Proto: https' header correctly.

Although this is not entirely a bug we could change logout_users_url which generates absolute path to logout_users_path which generates only the

relative part. This will fix the issue for users with wrongly configured proxy.

#5 - 06/14/2013 07:18 AM - Marek Hulán

- Status changed from Assigned to Ready For Testing

PR https://github.com/theforeman/foreman/pull/719
#6 - 06/14/2013 07:34 AM - Taylan Develioglu

You are correct, we are running foreman behind proxy and the header is not added.

#7 - 06/14/2013 07:35 AM - Dominic Cleal

Would you mind giving the (very small) patch a try?  Looks like it'll work to me.

#8 - 06/14/2013 07:40 AM - Taylan Develioglu

Yes, I tried it and it's fixed. The signout url now has https in it.

#9 - 06/14/2013 09:17 AM - Marek Hulán

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 1ff6a50c16ef6e8bf8b1aa709ec2f8769ba70d79.
